longrun.
Rename a file

Docs

Files / Rename a file

Rename a file

Update the display name of a file in your workspace.

PATCHhttps://uselongrun.app/v1/files/{file_id}
Request
curl --request PATCH "https://uselongrun.app/v1/files/${FILE_ID}" \
  --header "Authorization: Bearer ${API_KEY}"

Request parameters

path
idstringRequired

The file ID to use. Copy the id from an upload response or from Files. Replace {id} in the URL with that value.

Example
"${FILE_ID}"

Request body

namestringRequired

Name to use for this item.

Example
"receipt.pdf"

Maximum length: 255 characters.

Returns

Returns HTTP 200.

idstring
namestring
mime_typestring
sizeinteger

Minimum: 0

storagestring
urlstringnull
accessstring
expires_atstringnull
url_expires_atstringnull
categorystring
sourcestring
created_atstring
source_run_idstringnull
source_namestring
savedboolean
retainedboolean
expiredboolean